package dev.kske.minesweeper;

import java.util.EventObject;

/**
 * Project: <strong>Minesweeper</strong><br>
 * File: <strong>GameStateEvent.java</strong><br>
 * Created: <strong>03.04.2019</strong><br>
 * Author: <strong>Kai S. K. Engelbart</strong>
 */
public class GameStateEvent extends EventObject {

	private static final long	serialVersionUID	= -966111253980213845L;

	private final Board		board;
	private final GameState	gameState;

	public GameStateEvent(Object source, GameState gameState) {
		super(source);
		board			= (Board) source;
		this.gameState	= gameState;
	}

	public Board getBoard() { return board; }

	public GameState getGameState() { return gameState; }
}
